package com.sifang.modules.supply.order.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;


@Entity
@Table(name = "crm_supply_material_return_order")
public class CrmSupplyMaterialReturnOrder implements Serializable {

    private String id;
    private String number;//退货单号
    private String status;//退货状态 0待发货单位入库、1入库驳回、2已完成、3删除
    private String relationId;//关联id
    private String relationNumber;//关联订单编号/电站编号
    private String type;//退货类型 1代理商订单退货 2代理商电站退货 3平台退货
    private String traderId;//代理商id
    private String traderName;//代理商名称
    private String returnMethodId;//退货方式id
    private String returnMethodName;//退货方式名称
    private String expressNo;//物流单号
    private String returnDriver;//司机
    private String returnMobile;//联系方式
    private String returnCarNum;//车牌号
    private String returnRemark;//退货备注
    private String cancelReason;//驳回原因
    private Date cancelTime;//驳回时间
    private String voucherImg;//签收凭证
    private String deliverId;//发货单位id
    private String deliverName;//发货单位名称
    private String warehouseId;//仓库id
    private String warehouseName;//仓库名称
    private String personInCharge;//接货人
    private String personMobile;//联系电话
    private String warehouseAddress;//仓库地址
    private Date createTime;//创建时间
    private String createBy;//创建人id
    private String creator;//创建人姓名
    private Date updateTime;//更新时间
    private String updateBy;//更新人
    private Date confirmTime;//确认时间内
    private String confirmName;//确认人
    private String supplyId;//确认人
    private String inWarehouseId;//入库仓库id
    private String inWarehouseName;//入库仓库名称


    @Id
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public String getRelationNumber() {
        return relationNumber;
    }

    public void setRelationNumber(String relationNumber) {
        this.relationNumber = relationNumber;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTraderId() {
        return traderId;
    }

    public void setTraderId(String traderId) {
        this.traderId = traderId;
    }

    public String getTraderName() {
        return traderName;
    }

    public void setTraderName(String traderName) {
        this.traderName = traderName;
    }

    public String getReturnMethodId() {
        return returnMethodId;
    }

    public void setReturnMethodId(String returnMethodId) {
        this.returnMethodId = returnMethodId;
    }

    public String getReturnMethodName() {
        return returnMethodName;
    }

    public void setReturnMethodName(String returnMethodName) {
        this.returnMethodName = returnMethodName;
    }

    public String getExpressNo() {
        return expressNo;
    }

    public void setExpressNo(String expressNo) {
        this.expressNo = expressNo;
    }

    public String getReturnDriver() {
        return returnDriver;
    }

    public void setReturnDriver(String returnDriver) {
        this.returnDriver = returnDriver;
    }

    public String getReturnMobile() {
        return returnMobile;
    }

    public void setReturnMobile(String returnMobile) {
        this.returnMobile = returnMobile;
    }

    public String getReturnCarNum() {
        return returnCarNum;
    }

    public void setReturnCarNum(String returnCarNum) {
        this.returnCarNum = returnCarNum;
    }

    public String getReturnRemark() {
        return returnRemark;
    }

    public void setReturnRemark(String returnRemark) {
        this.returnRemark = returnRemark;
    }

    public String getCancelReason() {
        return cancelReason;
    }

    public void setCancelReason(String cancelReason) {
        this.cancelReason = cancelReason;
    }

    public Date getCancelTime() {
        return cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    public String getVoucherImg() {
        return voucherImg;
    }

    public void setVoucherImg(String voucherImg) {
        this.voucherImg = voucherImg;
    }

    public String getDeliverId() {
        return deliverId;
    }

    public void setDeliverId(String deliverId) {
        this.deliverId = deliverId;
    }

    public String getDeliverName() {
        return deliverName;
    }

    public void setDeliverName(String deliverName) {
        this.deliverName = deliverName;
    }

    public String getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(String warehouseId) {
        this.warehouseId = warehouseId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getPersonMobile() {
        return personMobile;
    }

    public void setPersonMobile(String personMobile) {
        this.personMobile = personMobile;
    }

    public String getWarehouseAddress() {
        return warehouseAddress;
    }

    public void setWarehouseAddress(String warehouseAddress) {
        this.warehouseAddress = warehouseAddress;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getConfirmTime() {
        return confirmTime;
    }

    public void setConfirmTime(Date confirmTime) {
        this.confirmTime = confirmTime;
    }

    public String getConfirmName() {
        return confirmName;
    }

    public void setConfirmName(String confirmName) {
        this.confirmName = confirmName;
    }

    public String getSupplyId() {
        return supplyId;
    }

    public void setSupplyId(String supplyId) {
        this.supplyId = supplyId;
    }

    public String getInWarehouseId() {
        return inWarehouseId;
    }

    public void setInWarehouseId(String inWarehouseId) {
        this.inWarehouseId = inWarehouseId;
    }

    public String getInWarehouseName() {
        return inWarehouseName;
    }

    public void setInWarehouseName(String inWarehouseName) {
        this.inWarehouseName = inWarehouseName;
    }
}
